import { PropType } from "vue";
import { propcolumns, propdata, propExpandRender, TabelData, TableEmitsLoad, TableComponent } from "./propTypes";
import { ScrollInfo } from "../scrollBar";
declare const _default: import("vue").DefineComponent<{
    columns: {
        type: propcolumns;
        default(): never[];
    };
    data: {
        type: propdata;
        default(): never[];
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**拓展列 */
    expandRender: propExpandRender;
    /**拓展列class */
    expandClass: any;
    /**树形表格每行的class */
    treeClassName: any;
    /**loading 状态 */
    loading: BooleanConstructor;
    rowClassName: PropType<string | object | any[] | ((row: any, index: number, other: import("./default").HandelOther) => any) | undefined>;
    width: {
        type: (StringConstructor | NumberConstructor)[];
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
    };
    /**数字为空时的文字 */
    emptyText: StringConstructor;
    style: PropType<import("vue").StyleValue | undefined>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    selectionChange: (data: TabelData) => null;
    load: (param: TableEmitsLoad) => true;
    rowClick: (row: any, index: number) => true;
    rowDblClick: (row: any, index: number) => true;
    scroll: (info: ScrollInfo) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    columns: {
        type: propcolumns;
        default(): never[];
    };
    data: {
        type: propdata;
        default(): never[];
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**拓展列 */
    expandRender: propExpandRender;
    /**拓展列class */
    expandClass: any;
    /**树形表格每行的class */
    treeClassName: any;
    /**loading 状态 */
    loading: BooleanConstructor;
    rowClassName: PropType<string | object | any[] | ((row: any, index: number, other: import("./default").HandelOther) => any) | undefined>;
    width: {
        type: (StringConstructor | NumberConstructor)[];
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
    };
    /**数字为空时的文字 */
    emptyText: StringConstructor;
    style: PropType<import("vue").StyleValue | undefined>;
}>> & {
    onLoad?: ((param: TableEmitsLoad) => any) | undefined;
    onScroll?: ((info: ScrollInfo) => any) | undefined;
    onRowClick?: ((row: any, index: number) => any) | undefined;
    onRowDblClick?: ((row: any, index: number) => any) | undefined;
    onSelectionChange?: ((data: TabelData) => any) | undefined;
}, {
    columns: TableComponent.Columns<any>[];
    data: TabelData;
    border: boolean;
    loading: boolean;
    expandClass: any;
    treeClassName: any;
}, {}>;
export default _default;
